Report metrics
This endpoint helps you report metrics from channels that aren't native to Customer.io or don't rely on our SDKs. When we deliver a message, we include a CIO-Delivery-ID header. This is the delivery_id in the payload. You can use it as a UTL and you can pass it as a UTM parameter in links, etc to track metrics when people click, convert, etc.
The base properties shared across multiple metric types.
- deliveryType: string
_id requiredThe CIO-Delivery-ID from the notification that you want to associate the
eventwith. - metricType: stringenumrequired
The email metric you want to report back to Customer.io.
values- bounced
- clicked
- converted
- deferred
- delivered
- dropped
- opened
- spammed
- hrefType: string
For
clickedmetrics, this is the link the recipient clicked. - reasonType: string
For metrics indicating a failure (like
bounced), this field provides the reason for the failure. - recipientType: string
The email of the person who received the message.
- timestampType: integerFormat: unix timestamp
The unix timestamp when the event occurred.
- 200
The request was received.
curl https://track.customer.io/api/v1/metrics \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"delivery_id": "RPILAgUBcRhIBqSfeiIwdIYJKxTY",
"timestamp": 1613063089,
"metric": "bounced",
"recipient": "",
"reason": "",
"href": ""
}'
The request was received.